summaryrefslogtreecommitdiff
path: root/archive/bin/grml-live-git
diff options
context:
space:
mode:
Diffstat (limited to 'archive/bin/grml-live-git')
-rwxr-xr-xarchive/bin/grml-live-git37
1 files changed, 37 insertions, 0 deletions
diff --git a/archive/bin/grml-live-git b/archive/bin/grml-live-git
new file mode 100755
index 00000000..dc2b051d
--- /dev/null
+++ b/archive/bin/grml-live-git
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+# usage e.g., as root:
+# % cd ~/local/big
+# % grml-live-git -s buster -a amd64 -c GRMLBASE,GRML_FULL,AMD64,SPWHITTON
+
+set -e
+
+us="$(basename $0)"
+
+if ! [ -e "$HOME/src/grml-live/.git" ]; then
+ echo >&2 "$us: grml-live not checked out"
+ exit 1
+fi
+
+cd "$HOME/src/grml-live"
+
+if ! [ -z "$(git status --porcelain)" ]; then
+ echo >&2 "$us: changes should be committed first"
+ exit 1
+fi
+
+if ! git verify-commit --raw HEAD 2>&1 \
+ | grep "VALIDSIG .* 8DC2487E51ABDD90B5C4753F0F56D0553B6D411B"; then
+ echo >&2 "$us: grml-live branch commit not signed by Sean"
+ exit 1
+fi
+
+# standard env vars for running grml-live from git
+export GRML_FAI_CONFIG="$HOME/src/grml-live/etc/grml/fai"
+export SCRIPTS_DIRECTORY="$HOME/src/grml-live/scripts"
+export LIVE_CONF="$HOME/src/grml-live/etc/grml/grml-live.conf"
+
+# use apt-cacher-ng
+export APT_PROXY="http://localhost:3142/"
+
+./grml-live -t $HOME/src/grml-live/templates/ -S $HOME/src/grml-live/scripts/ $@